Subject: xpalette (a rgb.txt viewer) uploaded.
From: [email-masked] (Michael Weller)
Date: 9 Jan 1994 15:19:33 +0200
Newsgroups: comp.os.linux.announce

This program  is dedicated to all X11-users that don't  use english  as their
native tongue.  Actually it was  started coz' I was unable  to imagine what a
color like goldenrod would look like.

Based on the Athena Widget Set it builts  an RgbText Widget that inherits all
capabilities from the  AsciiTextWidget, but interprets  each line as line out
of /usr/lib/X11/rgb.txt aka as a color nickname and an RGB specification.
Functionality  to display  these values  in different color formats  together
with a color probe tile and hooks to "grab" colors from the screen and search
similar colors is provided.

xpalette is a X-Utility based  on this widget that allows you to display such
files ( /usr/lib/X11/rgb.txt by default ) together with tiles showing how the
color  looks on your screen.  Also a programmer may  (like with xfontsel) cut
the color names/definitions in various  formats (Colorformats and formats for
resourcefiles or C-sources) und paste them directly in his source codes.

xpalette has also proven his usefulness for finding nice color sets for setup
of colors for my favorite X-tools.

Be warned!!! I did  this as an exercise to  learn Xaw programming.  I consider
this tool as finished. No further extensions, bug fixes are planned. (But feel
free to mail me your comments or suggestions anyway.  If serious bugs occur or
patches to support  your machine are needed send me your patches.  If they are
context diffs  and use some preprocessor defines to select the patches (either
self  select  a symbol  name  or  (better)  use  one  put  in  by  your  imake
automatically (and please put any #define's in config.h) ). I will put them in
and redistribute a newer version, s.t. only one consistent version is floating
around in the net. But remember: My priority of this project is low.

This program is released under the GNU public license.

Please  note that this  software was developed  in ANSI-C (using GNU-cc) under
X11R5. It  won't compile  under "standard" K&R C  and I don't  know if it will
compile  under X11R4 or earlier  (if your  computer vendor can't provide X11R5
and an ANSI-C compiler kick his ass and order real workstations next time ;-))

xpalette.tar.gz  has  already  been  uploaded  to  ftp.x.org:contrib  and  the
incoming    directories    for   Linux   on   sunsite.unc.edu   (intended  for
pub/Linux/X11/xutils)       and      tsx-11.mit.edu     (maybe     later    in
pub/linux/sources/usr.bin.X11). 

A precompiled linux binary (libc4.4.4 and Xfree2.0) is included.

--
(I still have no .sig file)
([email-masked] or [email-masked]
or [email-masked] or [email-masked])

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.